/*
 * lcdio.h
 *
 *  Created on: Aug 5, 2023
 *      Author: leo
 */

#include <stdint.h>

#ifndef INC_LCDIO_H_
#define INC_LCDIO_H_

#define LCD_Delay(ms) HAL_Delay(ms)

uint16_t LCD_IO_ReadData(uint16_t RegValue);
uint32_t LCD_IO_ReadData_m(uint16_t RegValue, uint8_t ReadSize);

void LCD_IO_WriteReg(uint16_t Reg);
void LCD_IO_WriteData(uint16_t RegValue);

uint16_t* LCD_IO_getDataPt(void);

#endif /* INC_LCDIO_H_ */
